package com.neusoft.smart.pos.printer.persistent.mapper;

import com.neusoft.smart.pos.printer.persistent.domain.PrinterInfo;
import com.neusoft.smart.pos.printer.persistent.domain.PrinterInfoExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PrinterInfoMapper {
    int countByExample(PrinterInfoExample example);

    int deleteByExample(PrinterInfoExample example);

    int deleteByPrimaryKey(Long id);

    int insert(PrinterInfo record);

    int insertSelective(PrinterInfo record);

    List<PrinterInfo> selectByExample(PrinterInfoExample example);

    PrinterInfo selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") PrinterInfo record, @Param("example") PrinterInfoExample example);

    int updateByExample(@Param("record") PrinterInfo record, @Param("example") PrinterInfoExample example);

    int updateByPrimaryKeySelective(PrinterInfo record);

    int updateByPrimaryKey(PrinterInfo record);

    void batchInsert(@Param("items") List<PrinterInfo> items);
}